MediaWiki:Vector.css: Difference between revisions

Raven.Familiar (talk | contribs)
Attempt to add Discord button, taken from Deadlock wiki
Raven.Familiar (talk | contribs)
No edit summary
 
(3 intermediate revisions by the same user not shown)
Line 276: Line 276:
     display: none !important;
     display: none !important;
}
}
#p-Navigation ul.vector-menu-content-list {
padding-top: 0.1em;
}
.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading {
background: var(--background-color-base-subtle) !important;
padding: 0.3em 0.6em;
font-weight:bold;
color: var(--theme-link-color);
margin: unset !important;
}
.vector-legacy-sidebar .vector-menu-portal .vector-menu-content li a,
.vector-legacy-sidebar .vector-menu-portal .vector-menu-content li a:visited {
color: var(--alt-link-color) !important;
}
#mw-panel.vector-legacy-sidebar > nav.mw-portlet {
padding: 0.4em 0.3em;
margin: 0 0 0.5em 0;
    background-color: var(--background-color-base);
border: 2px solid var(--theme-accent-color);
}
.skin-vector-legacy #pt-uls .uls-trigger::before {
top: 2px;
position: relative;
}
.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading {
background-image: none !important
}
#p-logo + .mw-portlet .vector-menu-heading {
display: block !important;
}
#p-logo {
margin-bottom: 0;
}
#mw-indicator-protection-moderator {
display: none
}
/* DISCORD NAVIGATION BUTTON */
/* DISCORD NAVIGATION BUTTON */
/* Primary button appearance */
/* Primary button appearance */
Line 321: Line 368:
/* Add text prefix */
/* Add text prefix */
#n-Discord a::before {
#n-Discord a::before {
content: "Chat on ";
content: "Join our ";
font-weight: normal;
font-weight: normal;
}
}
Line 345: Line 392:
#skin-client-prefs-skin-theme {
#skin-client-prefs-skin-theme {
display: none
display: none
}
/* RECENT CHANGES SIDEBAR */
#p-Recent_Changes{
height: 192.703px;
display: none;
}
#n-rc-skeleton{
    display:none;
}
}